Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(34)

Issue 1582583003: Fix BufferedSocketWriter to buffer everything before it starts writing. (Closed)

Created:
4 years, 9 months ago by Sergey Ulanov
Modified:
4 years, 9 months ago
Reviewers:
kelvinp
CC:
chromium-reviews, chromoting-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Fix BufferedSocketWriter to buffer everything before it starts writing. Previously BufferedSocketWriter was ignoring Write() calls before Init(). Fixed it to buffer all data in that scenario. Also renamed Init() to Start(). Committed: https://crrev.com/c3497fcd8b4e042c8bd24fe5c6e4b1070a878319 Cr-Commit-Position: refs/heads/master@{#369355}

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+65 lines, -43 lines) Patch
M remoting/base/buffered_socket_writer.h View 3 chunks +7 lines, -7 lines 0 comments Download
M remoting/base/buffered_socket_writer.cc View 6 chunks +10 lines, -12 lines 0 comments Download
M remoting/base/buffered_socket_writer_unittest.cc View 9 chunks +42 lines, -18 lines 0 comments Download
M remoting/protocol/channel_dispatcher_base.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/channel_multiplexer.cc View 1 chunk +4 lines, -4 lines 0 comments Download
M remoting/protocol/client_video_dispatcher_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 16 (7 generated)
Sergey Ulanov
This should fix the issue with the Capabilities message sent by the host.
4 years, 9 months ago (2016-01-12 20:53:07 UTC) #2
kelvinp
lgtm
4 years, 9 months ago (2016-01-13 21:05:01 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1582583003/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1582583003/1
4 years, 9 months ago (2016-01-13 21:17:34 UTC) #5
commit-bot: I haz the power
Try jobs failed on following builders: android_arm64_dbg_recipe on tryserver.chromium.android (JOB_TIMED_OUT, no build URL) android_chromium_gn_compile_dbg on ...
4 years, 9 months ago (2016-01-13 23:23:48 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1582583003/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1582583003/1
4 years, 9 months ago (2016-01-13 23:40:04 UTC) #9
commit-bot: I haz the power
Try jobs failed on following builders: android_chromium_gn_compile_dbg on tryserver.chromium.android (JOB_TIMED_OUT, no build URL)
4 years, 9 months ago (2016-01-14 01:47:14 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1582583003/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1582583003/1
4 years, 9 months ago (2016-01-14 06:48:37 UTC) #13
commit-bot: I haz the power
Committed patchset #1 (id:1)
4 years, 9 months ago (2016-01-14 06:53:08 UTC) #14
commit-bot: I haz the power
4 years, 9 months ago (2016-01-14 06:54:35 UTC) #16
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/c3497fcd8b4e042c8bd24fe5c6e4b1070a878319
Cr-Commit-Position: refs/heads/master@{#369355}

Powered by Google App Engine
This is Rietveld 408576698